GDB (xrefs)

Public Attributes | List of all members
mi_suppress_notification Struct Reference

`#include "mi-main.h"`

## Public Attributes
int | breakpoint
int | cmd_param_changed
int | traceframe
int | memory
int | user_selected_context

## Detailed Description

Definition at line 42 of file mi-main.h.

## Member Data Documentation

## ◆ breakpoint

int mi_suppress_notification::breakpoint

Definition at line 45 of file mi-main.h.

Referenced by mi_breakpoint_created(), mi_breakpoint_deleted(), and mi_breakpoint_modified().

## ◆ cmd_param_changed

int mi_suppress_notification::cmd_param_changed

Definition at line 47 of file mi-main.h.

Referenced by mi_command_param_changed().

## ◆ memory

int mi_suppress_notification::memory

Definition at line 51 of file mi-main.h.

Referenced by mi_cmd_var_assign(), and mi_memory_changed().

## ◆ traceframe

int mi_suppress_notification::traceframe

Definition at line 49 of file mi-main.h.

Referenced by mi_traceframe_changed().

## ◆ user_selected_context

int mi_suppress_notification::user_selected_context

Definition at line 53 of file mi-main.h.

Referenced by mi_user_selected_context_changed().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mi/mi-main.h